Download it now!
Bug 132355 - FILEOPEN ODT Stock chart columns appear shifted
Summary: FILEOPEN ODT Stock chart columns appear shifted
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2020-04-23 13:40 UTC by NISZ LibreOffice Team
Modified: 2020-04-28 12:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Writer (16.42 KB, application/vnd.oasis.opendocument.text)
2020-04-23 13:40 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Writer 6.2 and master (198.69 KB, image/png)
2020-04-23 13:40 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-04-23 13:40:24 UTC
Created attachment 159858 [details]
Example file from Writer

A default stock chart created with LO 6.2 contains columns, that appear shifted to the left in newer versions.

Steps to reproduce:
    1. In 6.2 create a default chart, select Stock type and Stock 3 as subtype
    2. Save as ODT format
    3. Open in LO 6.4 or newer

Actual results:
Columns are shifted to the left

Expected results:
Same appearance as in 6.3 and before.

LibreOffice details:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 94a7ceae287a7967e8f013d012673e26637c6bb5
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL

Bibisected using bibisect-win64-6.4 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=111c260ab2883b7906f1a66e222dbf4dc3c58c4f 
author	Balazs Varga <balazs.varga991@gmail.com>	Thu Oct 03 20:31:44 2019 +0200
committer	László Németh <nemeth@numbertext.org>	Mon Oct 07 12:36:28 2019 +0200

tdf#127777 OOXML chart export: fix "CrossBetween" for not imported charts
Comment 1 NISZ LibreOffice Team 2020-04-23 13:40:48 UTC
Created attachment 159859 [details]
Screenshot of the problem in Writer 6.2 and master
Comment 2 NISZ LibreOffice Team 2020-04-23 13:41:41 UTC
Also happens when a new stock chart is created in current master.
Comment 3 Commit Notification 2020-04-27 10:54:53 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/06a8f5d17061a8fd59fa37c0cdd1a89c72223337

tdf#132355 fix X axis position of stock charts

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-04-28 09:28:23 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 4ba1909f12b49f020195b5e767045340717ce6df
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Tünde Tóth, thanks for fixing this issue!!
Comment 5 Commit Notification 2020-04-28 12:54:10 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/50670fc723066c0598ed8f482c575bfb290d6a05

tdf#132355 fix X axis position of stock charts

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.